gdbm (1.14.1-1) experimental; urgency=medium

  * New upstream release
    - fixes GDBM_ERR_UNKNOWN_ERROR declaration
      (clisp build error)
  * Team upload
  * Bump soname to 5
  * Bump copyright years

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Jan 2018 14:43:50 +0100

gdbm (1.13-2) experimental; urgency=medium

  * Team upload
  * Depend on dietlibc only where available
  * Bump std-version to 4.1.3
  * Update symbol files

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 18 Jan 2018 19:35:48 +0100

gdbm (1.13-1) experimental; urgency=medium

  * New upstream release
  * Team upload (better call it NMU, but NVM)
  * Use the correct MAINT_OPTION to enable hardening
  * Switch url in https mode
  * Drop patches 01_*, 02_*: upstream
  * Refresh patch 03_ensure_reproducible_build.patch
  * Bump std-version to 4.1.2, no changes required
  * Update copyright file
  * Add new readline support

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 12 Dec 2017 17:40:51 +0100

gdbm (1.12-4) experimental; urgency=medium

  * Compile and install version of library, compiled with diet libc
    in addition to GNU libc.
  * Use debhelper compat 10, which provides --with autoreconf implicitly.

 -- Dmitry Bogatov <KAction@gnu.org>  Wed, 21 Dec 2016 23:45:07 +0300

gdbm (1.12-3) experimental; urgency=medium

  * Separate translation files (/usr/share/locale/*) into new binary
    package 'gdbm-l10n' to comply with Policy §8.2 (Closes: #828005)
  * Add Replaces fields for 'libgdbm-dev' and 'gdbm-l10n' to avoid file
    conflicts on upgrades
  * Add Breaks+Replaces for 'libgdbm-compat-dev' to allow transition
    from versions below 1.12. Policy §7.6 (Closes: #829050)
  * Update homepage link from directory.fsf.org to gnu.org
  * Add Multi-Arch field for libgdbm-dev

 -- Dmitry Bogatov <KAction@gnu.org>  Fri, 24 Jun 2016 06:54:16 +0300

gdbm (1.12-2) experimental; urgency=medium

  * Install localization into libgdbm4 binary package
  * Install info manual into libgdbm-dev binary package
  * Separate dbm and ndbm compat layer into separate package

 -- Dmitry Bogatov <KAction@gnu.org>  Wed, 15 Jun 2016 10:37:13 +0300

gdbm (1.12-1) experimental; urgency=medium

  * New maintainer (Closes: #826639)
  * New upstream release (Closes: #682239, #340479)
  * Update debian/watch
      - use HTTP over FTP protocol. FTP have some issues with Tor.
      - check GPG signature
  * New binary package libgdbm4 over libgdbm3 due upstream changing ABI.
  * Migrate debian/rules to `dh' sequencer (Closes: #436944, #589761)
  * Remove obsolete README.source -- package no longer uses dpatch,
    it now uses quilt
  * Refresh patches and format them according dep3
    - 01_texinfo-usr-local.patch: upstream moved texinfo manual under doc/
  * Drop no longer needed patches
     - 02_zero-headers.patch: code seems to be correct as-is,
       no bug reference is present in patch
     - 03-Makefile.in.patch: upstream now uses Automake
     - 04_fix-gdbm-compat-linking.patch: compatibility with ancient (pre-2.0)
       libtool is not needed anymore.
     - 05_handle-short-read.patch: implemented upstream
     - 06_manpage-cleanup.patch: hyphen issues fixed upstream
     - 07-link-flags.patch: upstream now uses Automake
     - 08-651521-libtool-mode-install.patch: upstream now uses Automake
     - 08-709905-gdbm.texinfo.patch: fixed upstream
  * Reformat debian/copyright according dep5
  * New binary package 'gdbtool' for command line utilities, provided by
    upstream.
  * Enable hardening
  * Fix spelling in manual pages
  * Regenerate 'symbols' file
  * Add Vcs-* fields in debian/control
  * Install upstream NEWS and NOTE-WARNING into devel binary package

 -- Dmitry Bogatov <KAction@gnu.org>  Sat, 11 Jun 2016 14:23:30 +0300

gdbm (1.8.3-14) unstable; urgency=medium

  [ Matthias Klose ]
  * Bump standards and debhelper versions.
  * Mark the -dev package as M-A: same.
  * Fix lintian warnings. Closes: #824674.
  * Enable reproducible builds (Jérémy Bobbio): Closes: #774394.
    - Stop recording the build date and time in the version string.
    - Use strip-nondeterminism on static libraries.
    - Fix mtimes before building binary packages.

  [ Anibal Monsalve Salazar ]
  * QA upload.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 07 Jun 2016 10:32:53 +0100

gdbm (1.8.3-13.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use dh_installchangelogs (closes: #752465).

 -- Julien Cristau <jcristau@debian.org>  Sun, 16 Nov 2014 18:18:49 +0100

gdbm (1.8.3-13) unstable; urgency=high

  [ Helmut Grohne ]
  * Source upload. Closes: #752465
  * Move documentation from libgdbm3 to libgdbm-dev to comply with policy 8.2.
    Closes: #752830

  [ Anibal Monsalve Salazar ]
  * Bootstrap without texinfo.
    Patch by Daniel Schepler.
    Closes: #737943.
  * Standards Version is 3.9.5.
  * Remove debian/source/options.
  * Refresh patches.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 17 Jul 2014 10:29:02 +0100

gdbm (1.8.3-12) unstable; urgency=low

  * Fix texinfo errors
    Add 08-709905-gdbm.texinfo.patch
    Closes: #709905
  * libtool is invoked with --mode=install
    Update 04_fix-gdbm-compat-linking.patch
    Patch by Igor Pashev
    Closes: #651521
  * Standards Version is 3.9.4

  [ Wookey ]
  * Fix crossbuild to use correct strip binary
    Closes: #604648

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 02 Jun 2013 08:43:36 +1000

gdbm (1.8.3-11) unstable; urgency=low

  * Debian source format is 3.0 (quilt)
  * Standards version is 3.9.3
  * Use hardening options
    Closes: #657040
  * Fix debian-rules-missing-recommended-target

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 10 Jun 2012 12:56:00 +1000

gdbm (1.8.3-10) unstable; urgency=low

  * Use multiarch library paths
    Patch by Steve Langasek
    Closes: 632295
  * Set SHELL variable in Makefile.in to @SHELL@
    Add debian/patches/03-Makefile.in.patch
    Closes: 621934
  * Fix out-of-date-standards-version
  * Fix non-empty-dependency_libs-in-la-file

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 01 Jul 2011 22:29:02 +1000

gdbm (1.8.3-9) unstable; urgency=low

  * Update upstream homepage address
  * Avoid entering an infinite loop reading a file
    Patch by Sandro Serafini
    Closes: 511250

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 21 Nov 2009 17:16:51 +1100

gdbm (1.8.3-8) unstable; urgency=low

  * Build depend on quilt

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 07 Nov 2009 21:32:33 +1100

gdbm (1.8.3-7) unstable; urgency=low

  [ Sylvain Beucler <beuc@beuc.net> ]

  * Non-maintainer upload.
  * Replace obsoleted automake1.4 with automake; gdbm does not use
    'automake' itself but uses 'aclocal' which is provided by that package
    Closes: 549099
  * Fix patch-system-but-no-source-readme: add README.source refering to
    /usr/share/doc/dpatch/README.source.gz
  * Fix debian-rules-ignores-make-clean-error: test for Makefile presence
  * Fix package-contains-empty-directory: drop empty usr/share/info/ from
    libgdbm-dev
  * Fix no-md5sums-control-file: manually generate md5sums control file
    using code from dh_md5sums
  * Fix install-info-used-in-maintainer-script: remove postinst.dev and
    prerm.dev, and depends on 'dpkg (>= 1.15.4) | install-info'
  * Fix no-symbols-control-file: import base symbols file from
    http://qa.debian.org/cgi-bin/mole/seedsymbols/?pkgname=libgdbm3 to
    'debian/symbols' and drop Debian version number. Keep private _gdbm
    symbols pending discussion with upstream about declaring them
    'static', but tag them 'optional'.

  [ Anibal Monsalve Salazar ]

  * Fix: gdbm source: out-of-date-standards-version
  * Fix: libgdbm3: no-upstream-changelog

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 12 Oct 2009 10:34:05 +1100

gdbm (1.8.3-6) unstable; urgency=low

  * Remove gdbm.3.gz gdbm.info from libgdbm-dev. Closes: 536356

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 09 Jul 2009 21:04:35 +1000

gdbm (1.8.3-5) unstable; urgency=low

  * Update libtool, config.{sub,guess}. Closes: 528216
    Drop 03_autoreconf.dpatch
  * Fix out-of-date-standards-version
  * Fix copyright-refers-to-symlink-license
  * Fix info-document-not-compressed
  * Fix manpage-not-compressed
  * Fix manpage-section-mismatch

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 09 Jul 2009 10:07:21 +1000

gdbm (1.8.3-4) unstable; urgency=low

  * New maintainer; closes: #496710
  * libgdbm3 depends on ${misc:Depends}
  * Add homepage control header
  * Add debian/watch
  * postinst installs the right info file; patch by Nicolas François;
    closes: #374260
  * Fix the following lintian issues:
    W: substvar-source-version-is-deprecated libgdbm-dev
    W: ancient-standards-version 3.6.2.2 (current is 3.8.0)
    W: libgdbm3: unknown-section base

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 27 Aug 2008 16:36:58 +1000

gdbm (1.8.3-3) unstable; urgency=low

  * debian/postinst, debian/postrm: invoke ldconfig for configure and
    remove respectively.  Closes: #364502
  * debian/rules (binary-libgdbm): install them.

  * 05_handle-short-read.dpatch: new patch for Steve Langasek to make gdbm
    handle read(2) returning less data than we asked for.  Closes: #274417

  * 03_autoreconf.dpatch: updated to support newer architectures.  Closes:
    #258175, #218400

  * Rebuild with modern glibc.  Closes: #321723

  * Following is based on a patch from NIIBE Yutaka <gniibe@fsij.org> to
    support cross building. Closes: #283065
   * debian/rules (build): pass --host to configure if cross compiling.
   * debian/rules (binary-libgdbm): invoke 'make install' with a correct
     INSTALL_ROOT instead of installing the shared libraries byhand.  We
     have to clean up afterwards (i.e. remove stuff that should be in
     libgdbm-dev, fix the permissions and strip the libraries), but doing
     so allows us to...
   * debian/control (Build-Depends): drop chrpath.

  * debian/control (Standards-Version): update to 3.6.2.2.
  * debian/copyright: update FSF address and copyright years.
  * debian/rules: likewise.

  * debian/rules: trivial cleanups and consistency, e.g. $$() in place of
    ``, don't use - prefix with rm -f, split long lines, etc.

  * 06_manpage-cleanup: new patch.  Fixes section in TH and
    hyphen-used-as-minus warnings as noticed by lintian.

 -- James Troup <james@nocrew.org>  Mon, 24 Apr 2006 04:24:07 +0100

gdbm (1.8.3-2) unstable; urgency=low

  * 02_zero-headers.dpatch: initalize more header memory, thanks to a
    patch from Colin Watson <cjwatson@debian.org>.  Closes: #208927
  * debian/control (Standards-Version): bump to 3.6.1.0.

 -- James Troup <james@nocrew.org>  Tue,  9 Sep 2003 00:01:43 +0100

gdbm (1.8.3-1) unstable; urgency=low

  * New upstream version.  (Closes: #38026, #159964, #179824)
  * debian/rules: updates to reflect new package names (libgdbmg1 ->
    libgdbm3, libgdbmg1-dev -> libgdbm-dev).
  * debian/control: likewise.
  * debian/control (libgdbm-dev): add Conflicts and Replaces on libgdbmg1-dev.

  * debian/rules: lots of changes for more modern (libtool-ised) gdbm build
    system.
  * debian/shlibs: update for new version and libgdbm_compat.
  * debian/copyright: update URL, copyright.  Drop list of changes.

  * debian/postinst.dev, debian/prerm.dev: no longer do /usr/doc symlinks.
  * debian/postinst, debian/prerm: remove; no longer do /usr/doc symlinks.
  * debian/rules (binary-libgdbm): don't install obsolete postinst or prerm.
  * debian/rules: remove stray (libc5) COMPAT cruft.
  * debian/rules (STRIP): remove note and comment sections too.
  * debian/control: change libc-dev to libc6-dev | libc-dev.
  * debian/control: Drop migration warnings from long description of
    libgdbm-dev.  Remove stray full stop from end of libgdbm3's short
    description and remove any mention of libc6 from the description.

  * debian/MIGRATE: obsolete, remove.
  * debian/rules (binary-libgdbm-dev): don't install MIGRATE.

  * debian/control (Standards-Version): bump to 3.5.10.0.

  * Move to dpatch; existing non-debian/ changes split into
    01_texinfo-usr-local.
  * debian/rules: include /usr/share/dpatch/dpatch.make.
  * debian/rules (build): depend on patch-stamp.
  * debian/rules (clean): depend on unpatch.  Remove debian/patched.
  * debian/control (Build-Depends): add dpatch.

  * 02_zero-headers.dpatch: new patch by Jeff Johnson <jbj@redhat.com> to
    zero headers in created databases (cf. RH #4457).

  * debian/control: move libgdbm-dev to libdevel.

  * 03_autoreconf.dpatch: new patch; result of running 'libtoolize --force
    --copy; aclocal-1.7; autoconf'.  Needed to get proper shared library
    support for arm, m68k, mips and mipsel.

  * 04_fix-gdbm-compat-linking.dpatch: new patch; force libgdbm_compat to
    be explicitly linked to libgdbm which it uses.

  * debian/control (Build-Depends): add chrpath.
  * debian/rules (binary-libgdbm): run chrpath -d on both shared
    libraries.

 -- James Troup <james@nocrew.org>  Fri, 30 May 2003 22:15:34 +0100

gdbm (1.7.3-27.1) unstable; urgency=low

  * NMU.
  * Add Build-Depends on texinfo. (Closes: bug#86827)
  * Change package description to point to /usr/share/doc instead
    of /usr/doc.
  * Change dependency from libc6-dev to libc-dev. (Closes: bug#132636)

 -- Daniel Schepler <schepler@debian.org>  Tue, 18 Jun 2002 16:44:50 -0700

gdbm (1.7.3-27) unstable; urgency=low

  * No 1.8 yet because a) the soname has changed, making packaging it less
    trivial, b) the upstream changes are not hugely important and c) 1.8
    appears after 5 years of upstream inactivity and has since been
    followed by another 18 months of upstream inactivity despite some
    trivial and annoying build bugs in 1.8 which must hit almost everyone
    who tries to build it from source.

  * Migration warnings are left unchanged as a result of (c) above.

  * Drop support for libc5.  rules and control files updated and
    libc[56]-? suffix removed from maintainer script names. Closes:
    bug#54401.
  * debian/copyright: update location of system copy of GPL.  Remove
    references to Linux.
  * debian/postinst: create /usr/doc/libgdbmg1 symlink.
  * debian/postinst.dev: likewise.
  * debian/prerm: remove /usr/doc/libgdbmg1 symlink.
  * debian/prerm.dev: likewise.
  * debian/rules (binary-arch): install documentation into
    /usr/share/{doc,man,info} (Closes: bug#80750).
  * debian/control (Standards-Version): update to 3.2.1.

  * gdbm.texinfo: fix two references to /usr/local/. (Closes: bug#43255)

  * Maintainer release.  Acknowledge two NMUs.  (Closes: bug#41820,
    #41718, #33792)

  * debian/control: fix path to MIGRATE file in libgdbmg1-dev's extended
    description. (Closes: bug#41170)

 -- James Troup <james@nocrew.org>  Sat, 30 Dec 2000 01:07:10 +0000

gdbm (1.7.3-26.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: install gdbm-ndbm.h for all architectures instead of ndbm.h
  * debian/control: fix Arch: i486 -> i386, remove sparc from libc5 compat
  * debian/rules: remove sparc from libc5 compat archs

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Thu, 22 Jul 1999 19:34:27 +0200

gdbm (1.7.3-26.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added support for ARM architecture.
  * Fixed debian/control to not include non-libc5 archs so that changes
    file can be built.

 -- Jim Pick <jim@jimpick.com>  Tue, 23 Feb 1999 21:40:33 -0800

gdbm (1.7.3-26) unstable; urgency=low

  * debian/control (Maintainer): new address.
  * debian/copyright: ditto.
  * debian/control (Standards-Version): updated to 2.5.0.0.
  * debian/MIGRATE: Mark no longer maintains gdbm. [#27095 (1/2)]
  * debian/MIGRATE: correct information on how to migrate (-ldb is needed,
    the db functions are not in libc itself); reported by
    <beitamos@inter.net.il>. [#27095 (2/2)]
  * debian/rules (COMPAT_ARCHS): added sparc at the request of Christian
    Meder <chris@isr.uni-stuttgart.de>. [#27702 (1/2)]
  * debian/rules (build-libc5): don't force definition of CPP, as
    configure does the Right thing anyway and cpp loses over *gcc -E.
    Patch from Christian Meder <chris@isr.uni-stuttgart.de>. [#27702
    (2/2)]
  * debian/rules: conditional on a glibc2.1-based architecture, install
    ndbm.h as ndbm.h rather than gdbm-ndbm.h as it's installed as on
    glibc2.0-based architectures; Suggested by Dan Jacobowitz
    <drow@drow.res.cmu.edu>. [#26668]
  * debian/rules (binary-libgdbmg-dev): install `ChangeLog' as
    `changelog'.
  * debian/control: make -*dev packages depend on exact version of nondev
    versions.

 -- James Troup <james@nocrew.org>  Mon,  9 Nov 1998 06:37:45 +0000

gdbm (1.7.3-25) frozen unstable; urgency=high

  * debian/rules (binary-libgdbmg-dev): don't install libndbm.{a,so} as
    libc6-dev now includes them. [#21609, #21987, #22504, #22596, #22663]

 -- James Troup <jjtroup@comp.brad.ac.uk>  Fri, 22 May 1998 16:17:50 +0200

gdbm (1.7.3-24) unstable; urgency=medium

  * debian/rules (binary-libgdbmg-dev): reinstate <gdbm-ndbm.h>, which got
    lost a version or two ago, reported by Roman Hodek
    <Roman.Hodek@informatik.uni-erlangen.de> [#20198].

 -- James Troup <jjtroup@comp.brad.ac.uk>  Thu, 26 Mar 1998 02:42:34 +0000

gdbm (1.7.3-23) unstable; urgency=high

  * debian/control (Maintainer): New maintainer.
  * debian/control (Standards-Version): Upgraded to 2.4.0.0.
  * debian/control (Source): Renamed to gdbm.
  * Pristine upstream source.
  * Builds libgdbm1* and libgdbmg1* from the same source.
  * debian/control (libgdbmg1-dev): depend on libc6-dev.
  * debian/copyright: update to reflect new maintainer.
  * debian/copyright: list URL of upstream source.
  * debian/copyright: correct FSF's address.
  * debian/README.debian: removed as due to severe lack of purpose.
  * debian/info: debstd cruft; removed.
  * debian/postinst.libc6-dev: new file; install info documentation.
  * debian/prerm.libc6-dev: new file; remove info documentation.
  * debian/libgdbmg1.files: (debstd?) cruft; removed.
  * debian/libgdbmg1.substvars: ditto.
  * debian/libgdbm1/files: ditto.
  * debian/libgdbm1/substvars: ditto.
  * debian/control (libgdbm1-altdev): suggest libgdbmg1-dev and mention in
    the extended description that that's where the documentation is.
  * debian/rules: completely rewritten from the ground up; no more debstd.
  * debian/rules: too many changes for a complete listing, bug fixes
    listed only.
  * debian/rules (binary-libgdbm): don't hardcode i486. [#10653, #10717]
  * debian/rules (binary-libgdbm-altdev): ditto.
  * debian/rules (binary-libgdbm): explicitly use $(ARCH)-linuxlibc1-gcc.
    [#16731]
  * debian/rules (binary-libgdbm-altdev): ditto.
  * debian/rules (binary-libgdbmg-dev): don't include ndbm.h as it's part
    of libc6. [#10640, #12993, #17442, #17946, #18155, #18239, #18406]
  * debian/preinst.libc5: new file; ensure ld.so.1 knows about
    /usr/lib/libc5-compat/. [#13683, #13843]
  * debian/postinst: new file; run ldconfig on configure.
  * debian/shlibs.libc6: new file.
  * debian/shlibs.libc5: ditto.
  * configure: recreated via autoconf for no good reason (was trying to
    solve a build problem on m68k which actually turned out to be a
    problem with m68k's libc5-altdev).
  * configure.in: updated some of the obsolete macro's (same reason).

 -- James Troup <jjtroup@comp.brad.ac.uk>  Tue, 24 Feb 1998 01:08:00 +0000

libgdbmg (1.7.3-21) unstable; urgency=low

  * debian/control: don't conflict with current libgdbm1 (which hides
    safely in libc5-compat). Flame about migration to libdb.
  * debian/rules: install MIGRATE.
  * debian/MIGRATE: flame about migration to libdb.

 -- Mark W. Eichin <eichin@kitten.gen.ma.us>  Tue, 17 Jun 1997 02:04:31 -0400

libgdbmg (1.7.3-20) unstable; urgency=low

  * switch to libgdbmg for libc6.
  * debian/rules: fix libsub.files and substvars references; rename
    package; add -lc for shared lib. Split out package vs. lpackage so we
    don't rename the library, just the package.
  * debian/control: rename to libgdbmg.
  * Makefile.in: drop tndbm, tdbm, since when we're bootstrapping the
    library there *aren't* native libs. (Should be tied into autoconf
    tests better.)

 -- Mark W. Eichin <eichin@kitten.gen.ma.us>  Mon, 16 Jun 1997 13:50:36 -0400

libgdbm (1.7.3-22) unstable; urgency=low

  * debian/control: libgdbm1-altdev should depend on libc5-altdev, *not*
    libc5-dev.
  * debian/rules: put links for .so files in i486-linuxlibc1/lib so the
    compiler finds them, as well as the linker.

 -- Mark W. Eichin <eichin@kitten.gen.ma.us>  Tue, 17 Jun 1997 13:22:09 -0400

libgdbm (1.7.3-21) unstable; urgency=low

  * debian/rules: don't make the info file, libgdbmg1-dev will have it.

 -- Mark W. Eichin <eichin@kitten.gen.ma.us>  Tue, 17 Jun 1997 02:06:06 -0400

libgdbm (1.7.3-20) unstable; urgency=low

  * Reorganize to build libgdbm1 for libc5 compatibility, and
    libgdbm1-altdev instead of libgdbm1-dev.
  * debian/control: name libgdbm1-altdev.
  * debian/rules: add -lc to the shared library so ld.so knows it uses
    libc5.  Copy the shared libs into /usr/lib/libc5-compat explicitly,
    the static libs and headers into usr/i486-linuxlibc1/lib and include.
    No man pages in the altdev version (the libc6 dev version will have
    those.)  Manually move shared libs into lib package, since debstd
    won't find them.
  * Makefile.in: drop tndbm, tdbm, since when we're bootstrapping the
    library there *aren't* native libs. (Should be tied into autoconf
    tests better.)

 -- Mark W. Eichin <eichin@kitten.gen.ma.us>  Mon, 16 Jun 1997 12:26:15 -0400

libgdbm (1.7.3-19) unstable; urgency=low

  * Patch for ndbm.h from "Alexey V. Naidyonov" <growler@ocnit.tsu.tula.ru>
    to handle multiple #includes of ndbm.h.
  * (above from Christoph's -18 release, oops on my part...)

 -- Mark W. Eichin <eichin@kitten.gen.ma.us>  Fri, 24 Jan 1997 12:34:25 -0500

libgdbm (1.7.3-18) unstable; urgency=low

  * generate library sub-package from debian/rules, and clean it, so that
    dpkg-source works correctly.
  * add -D_REENTRANT per policy ruling; remove -pipe.
  * take over maintenance again, now that I have time (thanks Christoph,
    for all the conversion work!)

 -- Mark W. Eichin <eichin@kitten.gen.ma.us>  Thu, 23 Jan 1997 23:24:28 -0500

libgdbm (1.7.3-17) unstable; urgency=low

  * debmake 2.21

 -- Christoph Lameter <clameter@debian.org>  Mon, 23 Dec 1996 20:13:43 -0800

libgdbm (1.7.3-16) unstable; urgency=low

  * Fixed dependencies (new debmake + libgdbm1-dev depends on libc5-dev)

 -- Christoph Lameter <clameter@debian.org>  Tue, 17 Dec 1996 10:01:52 -0800

libgdbm (1.7.3-15) unstable; urgency=low

  * .shlib file + libgdbm.so symlink moved to libgdbm1-dev, changelog
     renamed to changelog.upstream  according to Guy's advice.

 -- Christoph Lameter <clameter@debian.org>  Mon, 16 Dec 1996 21:11:16 -0800

libgdbm (1.7.3-14) unstable; urgency=low

  * new debmake to fix missing symlink problem

 -- Christoph Lameter <clameter@debian.org>  Mon, 16 Dec 1996 10:47:18 -0800

libgdbm (1.7.3-13) unstable; urgency=low

  * new debmake to fix .shlibs file

 -- Christoph Lameter <clameter@debian.org>  Mon, 16 Dec 1996 08:02:26 -0800

libgdbm (1.7.3-12) unstable; urgency=low

  * New debmake: stripped libraries auto symlinking
  * Compatibility link libgdbm.2 for Red Hat and Slackware Packages

 -- Christoph Lameter <clameter@debian.org>  Sat, 14 Dec 1996 04:27:14 -0800

libgdbm (1.7.3-11.4) unstable; urgency=low

  * Revised debian.rules to be more universally applicable to library packaging
  * Package names were wrong (final 1 was missing)!

 -- Christoph Lameter <clameter@debian.org>  Fri, 13 Dec 1996 19:43:15 -0800

libgdbm (1.7.3-11.3) unstable; urgency=low

  * Another problem with shared library names

 -- Christoph Lameter <clameter@debian.org>  Fri, 13 Dec 1996 19:24:39 -0800

libgdbm (1.7.3-11.2) unstable; urgency=low

  * Screwed up the soname in last release

 -- Christoph Lameter <clameter@debian.org>  Fri, 13 Dec 1996 19:16:23 -0800

libgdbm (1.7.3-11.1) unstable; urgency=low

  * Reworked for new standards. Provide .shlibs file.

 -- Christoph Lameter <clameter@debian.org>  Fri, 13 Dec 1996 17:19:45 -0800

Old Changelog:
TODO
* Currently:
  'Conflicts: libgdbm, perl5 (<=5.002-2), man (<=2.3.10-5)'
  The actual problem versions of perl5 and man (which were linked against
  the wrong .so version are from December 1995, and were unstable tree;
  I suspect that nobody is using them anymore. Should I remove them?
* Uses '<=' and '>=' in control files. Is this really a problem?


libgdbm1-1.7.3-11 - Ray Dassen <jdassen@wi.LeidenUniv.nl>
* Fix to the upgrading scheme, as per Ian Jackson's message:
  * Include .so.major -> .so.version link after .so.version itself in .deb
    file

libgdbm1-1.7.3-10 - Ray Dassen <jdassen@wi.LeidenUniv.nl>
* Changes to the upgrading scheme, as described by David Engel <david@ods.com>:
  * No more .dist install, mv-ing etc.
  * Include .so.major -> .so.version link before .so.version itself in .deb
    file

libgdbm1-1.7.3-9 - Ray Dassen <jdassen@wi.LeidenUniv.nl>
* Added 'Section: base' to runtime control file, since perl uses libgdbm.
* Use fcntl locking (POSIX) instead of lockf (BSD). Noted by Neal Becker
  <neal@ctd.comsat.com>. This is just to be on the safe side. I don't
  think it makes any difference - flock(2) states "Under Linux, flock is
  implemented as a call to fcntl".
* Include extended descriptions in announcements.
* Fixed depends line in control file.
* Package revision wrapped into version field.
* Hello-style diffs.

libgdbm1-1.7.3-8 - Ray Dassen <jdassen@wi.LeidenUniv.nl>
* Produce correct diffs. Noted by Rolf Russius <rossius@hrz.tu-chemnitz.de>.

libgdbm1-1.7.3-7 - Ray Dassen <jdassen@wi.LeidenUniv.nl>
* Fixed serious problem with upgrades. Noted by David Engel <david@ods.com>.
* Added Section: field to devel control file.
* Added orig target to debian.rules and modified diff target.
* Fixed dependency.
* Added conflicts for perl and man version that were linked with the wrong
  .so version.

libgdbm1-1.7.3-6 - Ray Dassen <jdassen@wi.LeidenUniv.nl>
* Several small fixes: dependencies, ldconfig, libgdbm.so link.
  Install info documentation via install-info.
  Removed backward compatibility link. Requires perl and man to be
  recompiled.
  Suggested by David Engel <david@ods.com>.

libgdbm1-1.7.3-5 - Ray Dassen <jdassen@wi.LeidenUniv.nl>
* ALPHA RELEASE. Do not install unless you know what you're doing
* Added extended description.
* Use -fomit-frame-pointer with -O2 -fPIC. The warning against
  buggy code generation seems to be outdated.
* Encode major library number in package name.
* Several upgrading/cleaning/administration issues, suggested by
  David Engel <david@ods.com>.

libgdbm-1.7.3-4 - Ray Dassen <jdassen@wi.LeidenUniv.nl>
* First version since renaming to be announced on debian-changes.
* Install dbm.h compatibility header, instead of symlinking;
  Install nbdm.h . Noted by David Engel.
* Provided symlinks to gdbm.3gdbm for the dbm and ndbm compatible symbols.
  Suggested by David Engel.
* Manpages now have a .3gdbm suffix.
* Use VPATH to build static and shared libraries in separate directories.

libgdbm-1.7.3-3 - Ray Dassen <jdassen@wi.LeidenUniv.nl>
* Don't do -fomit-frame-pointer optimization with -O2 -fPIC, since
  this may generate buggy code w/ gcc 2.7.{0,1}.
* Changed gdbm.3 to gdbm.3gdbm; made symlinks for the various gdbm_
  symbols; made dbm.h symlink. Thanks to David Engel <david@ods.com>
  for his suggestions.

libgdbm-1.7.3-2 - Ray Dassen <jdassen@wi.LeidenUniv.nl>
* Renamed to libgdbm. Added 'Provides: elf-libgdbm' to control file.
* Use /usr instead of /usr/i486-linuxelf; part of Debian's move to ELF.
* Added 'Depends: libc5'. This also fixes Bug#1761.
* Changed symlinks for shared libs.

elf-libgdbm 1.7.3-1 - Ray Dassen <jdassen@wi.LeidenUniv.nl>
* Use install-info for gdbm.info .
* Added dbm to gdbm links.
* Make softlinks instead of hardlinks.
* Fixed typos in debian.rules which caused wrong links.

elf-libgdbm 1.7.3-0 - Ray Dassen <jdassen@wi.LeidenUniv.nl>
* Initial release.
